CppUnit project page | FAQ

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- File List
- File Members

Classes | Macros | Typedefs
TestPlugIn.h File Reference
`#include <cppunit/Portability.h>`
`#include <cppunit/plugin/PlugInParameters.h>`
`#include <cppunit/plugin/TestPlugInDefaultImpl.h>`

Go to the source code of this file.

## Classes

struct | CppUnitTestPlugIn
| Test plug-in interface.This class define the interface implemented by test plug-in. A pointer to that interface is returned by the function exported by the test plug-in. More...

## Macros

#define | CPPUNIT_PLUGIN_EXPORTED_NAME cppunitTestPlugIn
| Name of the function exported by a test plug-in.The signature of the exported function is: More...
#define | CPPUNIT_PLUGIN_EXPORTED_FUNCTION_IMPL(TestPlugInInterfaceType)
| Implements the function exported by the test plug-in. More...
#define | CPPUNIT_PLUGIN_IMPLEMENT()
| Implements and exports the test plug-in interface.This macro exports the test plug-in function using the subclass, and implements the 'main' function for the plug-in using CPPUNIT_PLUGIN_IMPLEMENT_MAIN(). More...

## Typedefs

typedef CppUnitTestPlugIn *(* | TestPlugInSignature) ()
| Type of the function exported by a plug-in. More...

| Send comments to: CppUnit Developers